/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.histidine.foundation.scripts;

import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.campaign.FactionAPI;
import com.fs.starfarer.api.campaign.SectorAPI;
import com.fs.starfarer.api.campaign.econ.MarketAPI;
import com.fs.starfarer.api.characters.ImportantPeopleAPI;
import com.fs.starfarer.api.characters.PersonAPI;
import com.fs.starfarer.api.impl.campaign.ids.Conditions;
import com.fs.starfarer.api.impl.campaign.ids.Factions;
import com.fs.starfarer.api.impl.campaign.ids.Ranks;
import org.histidine.foundation.scripts.world.FoundationSectorGen;

/**
 *
 * @author Rattlesnark
 */
public class FoundationDonationHandler {
	
	public static final int MIN_SIZE_FOR_FOUNDATION_REP = 5;
	
	public static void createFoundationRepresentatives() {
		SectorAPI sector = Global.getSector();
		ImportantPeopleAPI ip = sector.getImportantPeople();
		FactionAPI independent = sector.getFaction(Factions.INDEPENDENT);
		
		for (MarketAPI market : sector.getEconomy().getMarketsCopy()) 
		{
			FactionAPI faction = market.getFaction();
			if (faction.isNeutralFaction() || faction.isPlayerFaction() || faction.isHostileTo(Factions.INDEPENDENT))
				continue;
			if (market.hasCondition(Conditions.DECIVILIZED) || market.hasCondition(Conditions.ABANDONED_STATION)) continue;
			if (market.getSize() < MIN_SIZE_FOR_FOUNDATION_REP && !market.getId().equals(FoundationSectorGen.FOUNDATION_HQ_ID)) continue;
			
			PersonAPI person = independent.createRandomPerson();
			person.setRankId(Ranks.CITIZEN);
			person.setPostId("foundationRep");
			person.getMemory().set("$foundation_isRep", true);

			market.getCommDirectory().addPerson(person);
			market.addPerson(person);
			ip.addPerson(person);
			ip.getData(person).getLocation().setMarket(market);
		}
	}
}
